GET
/version Returns the version of Docker that is running and various information about the system that Docker is running on.
Connection and access
API connection and authentication guidance
/v1.57
No HTTP authentication requirement is declared for this operation. Transport access controls can still apply.
Parameters
No parameters are declared.
Request and responses
Response
200
no error
application/json
Schema:
SystemVersion
Response
500
server error
application/json
Schema:
ErrorResponse
Schema example
{
"message": "Something went wrong."
}Referenced schemas
#/components/schemas/ErrorResponse
#/components/schemas/SystemVersion
Complete operation contract
{
"description": "Returns the version of Docker that is running and various information about the system that Docker is running on.",
"operationId": "SystemVersion",
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/SystemVersion"
}
}
},
"description": "no error"
},
"500": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "server error"
}
},
"summary": "Get version",
"tags": [
"System"
]
}